--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Makes transient BotUser <em>user</em> into a permanent BotUser named <em>name</em>; if <em>user</em> is an Irc::User, act on the transient BotUser (if any) it's logged in as
full_name: Irc::Bot::Auth::ManagerClass#make_permanent
is_singleton: false
name: make_permanent
params: (user, name)
visibility: public
